<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Todo</title>
</head>
<body>
    <div align="center">
        <h2>Todo list</h2>
        <a href="/assignment">assignment</a>
        <form action= "/" method="POST">
            <label>Task</label>
            <input name="task"/>
            <label>Description</label>
            <input name="desc"/>
            <input type ="submit"/>
        </form>
        <!-- <a href="/display">Show</a> -->
        <table border="1">
            <tbody>
                <tr>
                <th>SN</th>
                <th>Task</th>
                <th>Description</th>
                <th>Date & Time</th>
                <th>Action</th>
            </tr>
            </tbody>
            <tbody>
            {% for todo in todoShow  %}
            <tr>
                <td>{{loop.index}}</td>
                <td>{{todo.task}}</td>
                <td>{{todo.desc}}</td>
                <td>{{todo.time}}</td>
                <td><a href="/delete/{{todo.SN}}">Delete</a>
                    <a href="/update/{{todo.SN}}">Update</a></td>
            </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
    
</body>
</html>
